package dsuyasov.recognition.rulesModel;

import dsuyasov.recognition.util.localization.Localization;

/**
 * User: Suyasov Dmitriy
 */
public enum TypeOfColors {
    BLACK_AND_WHITE(Localization.COLORS_BLACK_AND_WHITE_COLORS_TITLE),
    RGB(Localization.COLORS_RGB_COLORS);

    public static final String BLACK_AND_WHITE_COLORS = Localization.get(Localization.COLORS_BLACK_AND_WHITE_COLORS_TITLE);
    public static final String RGB_COLORS = Localization.get(Localization.COLORS_RGB_COLORS);

    private String title;

    TypeOfColors(String title) {
        this.title = Localization.get(title);
    }

    public String getTitle() {
        return title;
    }

    public static TypeOfColors getColors(String title) {
        if (title.equals(BLACK_AND_WHITE_COLORS)) {
            return BLACK_AND_WHITE;
        } else if (title.equals(RGB_COLORS)) {
            return RGB;
        } else {
            return null;
        }
    }
}
