package dsuyasov.recognition.util;

import dsuyasov.recognition.rulesModel.Memory;
import dsuyasov.recognition.util.localization.Localization;

import javax.swing.*;

/**
 * @author Dmitriy Suyasov
 *         Date 09.04.2007
 */
public class MessageUtil {

    public static void setMessage(String message) {
        JLabel messageLabel = (JLabel) Memory.get(Memory.MESSAGE_LABEL);
        messageLabel.setText(message);
        messageLabel.repaint();
    }

    public static void clear() {
        JLabel messageLabel = (JLabel) Memory.get(Memory.MESSAGE_LABEL);
        messageLabel.setText(" ");
        messageLabel.repaint();
    }

    public static void alert(String message) {
        JOptionPane.showMessageDialog((JApplet) Memory.get(Memory.APPLET), message);
    }

    public static boolean question(String message) {
        return JOptionPane.showConfirmDialog((JApplet) Memory.get(Memory.APPLET), message, Localization.get(Localization.QUESTION_DIALOG_TITLE),
            JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE) == JOptionPane.YES_OPTION;
    }

}
