package dsuyasov.recognition.rulesModel;

import java.util.List;
import java.util.LinkedList;

/**
 * @author Dmitriy Suyasov
 */
public class ProcessResult {

    private List<MatrixElement[][]> elements;

    public ProcessResult() {
        elements = new LinkedList<MatrixElement[][]>();
    }

    public ProcessResult(MatrixElement[][] matrixElements) {
        elements = new LinkedList<MatrixElement[][]>();
        elements.add(matrixElements);
    }

    public void add(MatrixElement[][] matrixElements) {
        elements.add(matrixElements);
    }

    public List<MatrixElement[][]> getElements() {
        return elements;
    }
}
