package dsuyasov.recognition.ui.helper.panels.cellSettingsPanel;

import dsuyasov.recognition.ui.helper.DrawerIterator;
import dsuyasov.recognition.ui.helper.Drawer;
import dsuyasov.recognition.rulesModel.checkers.ColorChecker;
import dsuyasov.recognition.util.localization.Localization;

import javax.swing.*;

/**
 * @author Dmitriy Suyasov
 *         Date 15.05.2007
 */
public class ColorCheckerSelecter extends SelecterPanel {

    public static final String TITLE = Localization.get(Localization.COLOR_CHECKER_TITLE);

    public ColorChecker colorChecker;

    public ColorCheckerSelecter(JDialog dialog, JPanel parent) {
        super(dialog, parent);
    }

    public void initialize(ColorChecker colorChecker) {
        this.colorChecker = colorChecker;
        super.initialize();
    }
    
    public String getTitle() {
        return TITLE;
    }

    public DrawerIterator getDrawerIterator() {
        return new DrawerIterator(ColorChecker.getDrawers());
    }

    public Drawer getDefault() {
        return colorChecker;
    }
}
